//-----------------------------------------------
//TUSB-S01VIN1phCoANZXpAPI
//Visual C++/CLI pW[
//
//2017_04_27@Ѓ^[gH
//Copyright (C) 2017 Turtle Industry Co.,Ltd.
//-----------------------------------------------

using namespace System;
using namespace System::Runtime::InteropServices;

[DllImport("TUSBSVI1.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01vin1_Device_Open(short id);
[DllImport("TUSBSVI1.DLL", CallingConvention = CallingConvention::Cdecl)]
extern void Tusbs01vin1_Device_Close(short id);
[DllImport("TUSBSVI1.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01vin1_Timer_Set(short id,unsigned char ClockN,int ClockM);
[DllImport("TUSBSVI1.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01vin1_Input_Set(short id,unsigned char Range);
[DllImport("TUSBSVI1.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01vin1_Sampling_Start(short id,unsigned char TrType,short Level,int PreLen,int TotalLen);
[DllImport("TUSBSVI1.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01vin1_Status_Read(short id,unsigned char *status,unsigned char *ovf,int *leng);
[DllImport("TUSBSVI1.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01vin1_Memory_Read(short id, [Out] short data[],int *leng);
[DllImport("TUSBSVI1.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01vin1_Sampling_Stop(short id);
[DllImport("TUSBSVI1.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01vin1_Memory_Clear(short id);
[DllImport("TUSBSVI1.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01vin1_Sampling_Trigger(short id);
[DllImport("TUSBSVI1.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01vin1_FifoPeak(short id,unsigned char *Peak);

static String^ Tusbs01vin1_GetErrMessage(short retcode)
{
    switch (retcode)
    {
        case 0:
            return "I܂";
        case 1:
            return "IDԍsł";
        case 2:
            return "hCoCXg[Ă܂";
        case 3:
            return "łɃfoCX̓I[vĂ܂";
        case 4:
            return "ڑĂ䐔܂";
        case 5:
            return "I[vł܂ł";
        case 6:
            return "foCX݂܂";
        case 7:
            return "I[vĂ܂";
        case 8:
            return "p[^G[";
        case 9:
            return "USBʐMG[ł";
        default:
            return "sȃG[ł";
    }
}
